/[suikacvs]/test/html-webhacc/cc-style.css
Suika

Diff of /test/html-webhacc/cc-style.css

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 1.8 by wakaba, Mon Sep 3 14:30:46 2007 UTC revision 1.21 by wakaba, Sun May 18 07:24:04 2008 UTC
# Line 7  Line 7 
7    padding: 0.5em 1em;    padding: 0.5em 1em;
8  }  }
9    
10  dt, strong {  dt, strong, th {
11    font-weight: bolder;    font-weight: bolder;
12    font-family: sans-serif;    font-family: sans-serif;
13  }  }
# Line 30  h2 { Line 30  h2 {
30    font-size: 150%;    font-size: 150%;
31  }  }
32    
33  h3 {  h3, th {
34    font-weight: bolder;    font-weight: bolder;
35    font-family: sans-serif;    font-family: sans-serif;
36    font-size: 100%;    font-size: 100%;
# Line 103  q:before, q:after { Line 103  q:before, q:after {
103    font-size: 90%;    font-size: 90%;
104  }  }
105    
106  #parse-errors dd, #document-errors dd, #error-description h3 {  #dump-manifest tbody:empty {
107      display: table-caption;
108      caption-side: bottom;
109    }
110    
111    #dump-manifest tbody:empty::after {
112      content: "This cache manifest contains no oppotunistic caching namespace.";
113      font-style: italic;
114    }
115    
116    #dump-manifest dt:first-child + dt::before,
117    #dump-manifest dt:last-child::after {
118      display: block;
119      content: "This cache manifest contains no explicit entry.";
120      margin-left: 2.5em;
121      font-style: italic;
122      font-weight: normal;
123      font-family: serif;
124    }
125    
126    #dump-manifest dt:last-child::after {
127      content: "This cache manifest has an empty online whitelist.";
128    }
129    
130    #parse-errors dd, #document-errors dd, #error-description h3,
131    #result-para {
132    margin-left: 20px;    margin-left: 20px;
133    padding-left: 40px;    padding-left: 40px;
134    min-height: 32px;    min-height: 32px;
# Line 112  q:before, q:after { Line 137  q:before, q:after {
137    background-repeat: no-repeat;    background-repeat: no-repeat;
138  }  }
139    
140    #levels-table tbody th:first-child {
141      padding-left: 42px;
142      min-height: 32px;
143      background-image: url(large-stop);
144      background-position: 5px center;
145      background-repeat: no-repeat;
146      text-align: left;
147    }
148    
149  #identifiers dd, #terms dd {  #identifiers dd, #terms dd {
150    margin-left: 20px;    margin-left: 20px;
151    padding-left: 20px;    padding-left: 20px;
152    min-height: 20px;    min-height: 20px;
153  }  }
154    
155  #identifiers dd + dd, #terms dd + dd {  #identifiers dd + dd
156    /* , #terms dd + dd */ /* Now allowed - HTML5 revision 1467 */
157    {
158    background-image: url(error);    background-image: url(error);
159    background-position: center left;    background-position: center left;
160    background-repeat: no-repeat;    background-repeat: no-repeat;
# Line 129  q:before, q:after { Line 165  q:before, q:after {
165    margin-right: 1em;    margin-right: 1em;
166  }  }
167    
168  #document-errors dd.should, #error-description .should h3 {  #parse-errors dd.level-s, #document-errors dd.level-s,
169    #parse-errors dd.should,
170    #document-errors dd.should, #error-description .should h3,
171    #result-para.SEE-RESULT, #levels-table #level-s th {
172      background-image: url(large-stop);
173    }
174    
175    #parse-errors dd.level-w, #document-errors dd.level-w,
176    #parse-errors dd.warning,
177    #document-errors dd.warning, #error-description .warning h3,
178    #levels-table #level-w th {
179    background-image: url(large-alert);    background-image: url(large-alert);
180  }  }
181    
182    #parse-errors dd.level-i, #document-errors dd.level-i,
183    #error-description .level-i h3,
184    #levels-table #level-i th {
185      background-image: url(large-info);
186    }
187    
188    #parse-errors dd.level-u, #document-errors dd.level-u,
189    #parse-errors dd.level-unsupported, #document-errors dd.level-unsupported,
190    #parse-errors dd.unsupported,
191  #document-errors dd.unsupported {  #document-errors dd.unsupported {
192    margin-left: 60px;    margin-left: 60px;
193    border: red 0.2em solid;    border: red 0.2em solid;
194    padding: 0.5em;    padding: 0.5em;
195  }  }
196    
197  #document-errors dd.unsupported, #error-description .unsupported h3 {  #parse-errors dd.unsupported,
198    #document-errors dd.unsupported, #error-description .unsupported h3,
199    #result-para.uncertain,
200    #parse-errors dd.level-u, #document-errors dd.level-u,
201    #levels-table #level-u th {
202    background-image: none;    background-image: none;
203  }  }
204    
205    .error-category-charset {
206      background-image: url(icons/char-16);
207      background-position: left center;
208      background-repeat: no-repeat;
209      padding-left: 20px;
210    }
211    
212    .format-charset, .tokenizer-error, .parse-error {
213      background-image: url(icons/syntax-16);
214      background-position: left center;
215      background-repeat: no-repeat;
216      padding-left: 20px;  
217    }
218    
219    .content-model-error, .attribute-error, .attribute-value-error,
220    .attribute-value-warning, .table-model-error {
221      background-image: url(icons/structure-16);
222      background-position: left center;
223      background-repeat: no-repeat;
224      padding-left: 20px;
225    }
226    
227    #result-para.PASS {
228      background-image: url(ok);
229    }
230    
231  #nav-items {  #nav-items {
232    display: block;    display: block;
233    position: fixed;    position: fixed;
# Line 186  code { Line 271  code {
271    white-space: pre-wrap;    white-space: pre-wrap;
272  }  }
273    
274    .example {
275      background-color: #ececff;
276    }
277    
278    pre.example {
279      margin-left: 1em;
280      margin-right: 1em;
281      padding: 0.2em 0.5em;
282    }
283    
284    .example.bad {
285      background-color: #fff7f7;
286    }
287    
288    code.example.bad {
289      color: inherit;
290      background-color: #ffeeee;
291    }
292    
293    h3 code.example.bad {
294      color: orangered;
295      background-color: transparent;
296    }
297    
298    pre.example::before {
299      content: "Example";
300      display: block;
301      color: #b0b0ff;
302      background-color: transparent;
303      font-weight: bolder;
304      font-family: sans-serif;
305    }
306    
307    pre.example.html::before {
308      content: "HTML Example";
309    }
310    
311    pre.example.xml::before {
312      content: "XML Example";
313    }
314    
315    pre.example.manifest::before {
316      content: "Cache Manifest Example";
317    }
318    
319    pre.example.bad::before {
320      content: "Bad Example";
321      color: #ffc1c1;
322    }
323    
324    pre.example.bad.html::before {
325      content: "HTML Bad Example";
326    }
327    
328    pre.example.bad.xml::before {
329      content: "XML Bad Example";
330    }
331    
332    pre.example.bad.manifest::before {
333      content: "Cache Manifest Bad Example";
334    }
335    
336    .rfc2119 {
337      border-style: none;
338      text-transform: lowercase;
339      font-variant: small-caps;
340      font-style: normal;
341      text-decoration: none;
342      font-weight: normal;
343      font-family: sans-serif;
344    }
345    
346    #result-summary table {
347      margin-left: auto;
348      margin-right: auto;
349      border: 3px solid #800080;
350      border-collapse: collapse;
351    }
352    
353    #result-summary tbody, colgroup {
354      border: 3px solid #800080;
355    }
356    
357    #result-summary th {
358      background-color: #fff0f0;
359      color: black;
360    }
361    
362    #result-summary th, #result-summary td {
363      border: 1px solid #800080;
364      padding: 0.2em 0.5em;
365      text-align: center;
366      empty-cells: show;
367    }
368    
369    .uncertain td, p.uncertain,
370    #level-u, #level-u th {
371      background-color: #e1e1ff;
372      color: black;
373    }
374    
375    .FAIL, .uncertain td.FAIL, #level-m, #level-m th {
376      background-color: #ffcece;
377      color: black;
378    }
379    
380    .SEE-RESULT, .uncertain td.SEE-RESULT, #level-s, #level-s th {
381      background-color: #e1e1ff;
382      color: black;
383    }
384    
385    .PASS, #level-w, #level-w th,
386    #level-i, #level-i th {
387      background-color: #ddffdd;
388      color: black;
389    }
390    
391    #result-para {
392      padding-top: 0.2em;
393      padding-bottom: 0.2em;
394      padding-right: 1em;
395    }
396    
397    /* dl.switch from WHATWG specification style sheet */
398    
399    dl.switch {
400      padding-left: 2em;
401    }
402    
403    dl.switch dt {
404      display: block;
405      text-indent: -1.5em;
406      font-weight: bolder;
407      font-family: sans-serif;
408      font-style: normal;
409    }
410    
411    dl.switch dt:before {
412      content: '\21AA';
413      padding: 0 0.5em 0 0;
414      display: inline-block;
415      width: 1em;
416      text-align: right;
417      line-height: 0.5em;
418    }
419    
420    dl.switch dt:after {
421      content: " :";
422    }
423    
424    mark {
425      background-color: #ffff4d;
426    }
427    
428  /*  /*
429    
430  Copyright 2007 Wakaba <[email protected]>  Copyright 2007-2008 Wakaba <[email protected]>.
431    
432  This library is free software; you can redistribute it  This library is free software; you can redistribute it
433  and/or modify it under the same terms as Perl itself.  and/or modify it under the same terms as Perl itself.

Legend:
Removed from v.1.8  
changed lines
  Added in v.1.21

[email protected]
ViewVC Help
Powered by ViewVC 1.1.24